#
# spec file for package scrollkeeper (Version 0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libxml libxml-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         scrollkeeper
%define _localstatedir /var
Summary:      Cataloging System for Documentation
Version:      0.2
Release:      122
Source0:    http://download.sourceforge.net/scrollkeeper/%{name}-%{version}.tar.bz2
#Patch: scrollkeeper-0.1.4.diff
Copyright:  LGPL
Group:      System Environment/Base
BuildRoot:  %{_tmppath}/%{name}-buildroot
URL:        http://scrollkeeper.sourceforge.net/

%description 
ScrollKeeper is a cataloging system for documentation. It manages
documentation metadata (as specified by the Open Source Metadata
Framework (OMF)) and provides a simple API to allow help browsers to
find, sort, and search the document catalog.
It will also be able to communicate with catalog servers on the Net to
search for documents which are not on the local system.

Authors:
--------
    Andreas Schwab <schwab@issan.informatik.uni-dortmund.de>
    Dan Mueth <dan@eazel.com>
    Eric Backus <ericb@lsid.hp.com>
    Eric Fischer <eric@eazel.com>
    Franc,ois Pinard <pinard@iro.umontreal.ca>
    Gregory Leblanc <gleblanc@cu-portland.edu>
    Howard Gayle <howard@hal.com>
    Karl Eichwalder <ke@ke.central.de>
    Larry Schwimmer <rosebud@cyclone.stanford.edu>
    Laszlo Kovacs <laszlo.kovacs@sun.com>
    Marcus Daniels <marcus@sysc.pdx.edu>
    Nelson H. F. Beebe <beebe@math.utah.edu>
    Ulrich Drepper <drepper@cygnus.com>

SuSE series: ap

%prep
%setup -q
#%patch -p 1
#autoconf
CFLAGS=$RPM_OPT_FLAGS \
  ./configure --localstatedir=%{_localstatedir} \
    --prefix=%{_prefix} \
    --mandir=%{_mandir}

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
# mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/scrollkeeper/Templates
pushd ${RPM_BUILD_ROOT}%{_datadir}/scrollkeeper/Templates
rm -rf en && ln -sf C en
rm -rf no* && ln -sf nb no && ln -sf nn no_NY
for lang in bg_BG bg_BG.cp1251 de_AT en_AU en_GB en_SE en_UK en_US es_DO \
         es_ES es_GT es_HN es_MX es_PA es_PE es_SV ja_JP.eucJP pt_BR pt_PT \
         sr_YU sv_SE zh_CN zh_CN.GB2312 zh_TW zh_TW.Big5 ; do
    l=${lang%_*}
    rm -rf $lang
    ln -sf $l $lang
done 
popd

%clean
#rm -rf $RPM_BUILD_ROOT

%post
if [ $1 = 1 ]; then
  # There was previously no SK installed.
  # ie. make a new var/lib/scrollkeeper.
  # Blow away any old database that might be there, in case
  # the user installed from tarball in the past.
  rm -rf var/lib/scrollkeeper
  mkdir var/lib/scrollkeeper
  scrollkeeper-update -p var/lib/scrollkeeper
fi
if [ $1 = 2 ]; then
  # There was previously a SK installed.
  #  ie. don't make a new var/lib/scrollkeeper.
  # However, version 0.0.4 of SK did not properly create this
  # directory if a previous SK was installed, so just to be sure...
  rm -rf var/lib/scrollkeeper
  mkdir var/lib/scrollkeeper
  scrollkeeper-update -p var/lib/scrollkeeper
fi

%postun
if [ $1 = 0 ]; then
  # SK is being removed, not upgraded.  
  #  ie. erase {localstatedir}/lib/scrollkeeper.
  rm -rf var/lib/scrollkeeper
fi
rm -rf %{_datadir}/scrollkeeper/templates

%files
%defattr(-,root,root)
%doc COPYING COPYING-DOCS AUTHORS README NEWS
%{_datadir}/omf/scrollkeeper
%{_bindir}/*
%{_mandir}/man8/*
%{_datadir}/scrollkeeper
%{_datadir}/locale/*/*
%{_libdir}/*

%changelog -n scrollkeeper
* Fri Apr 27 2001 - hhetter@suse.de
- added libscrollkeeper to filelist
* Tue Apr 24 2001 - ke@suse.de
- Update to version 0.2.0; prepared by Daniel Egger (thanks).
* Tue Mar 06 2001 - ke@suse.de
- New package: Version 0.1.4.
